package Hito4;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.*;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.F7F2995C-ACED-1AA9-EE4C-60A7BE94933E]
// </editor-fold>
public class Empleado{
    private String usuario;
    private List<Arqueo> mArqueo;
    private Caja caja;
    private String contraseña;
    private int numCaja;
    private int permiso;//Si permiso es 1 es el director
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9B97B7D9-ADB3-A57E-7835-3F7F755CD306]
    // </editor-fold>

    public Empleado () {
        mArqueo=new ArrayList<Arqueo>();
    }

    public void setUsuario(String us){
        this.usuario=us;
    }
    public String getUsuario(){
        return this.usuario;}

    public void setContraseña(String co){
        this.contraseña=co;}

    public String getContraseña(){
        return this.contraseña;}

    public int getPermiso() {
        return permiso;
    }

    public void setPermiso(int permiso) {
        this.permiso = permiso;
    }

    public int getNumCaja() {
        return numCaja;
    }

    public void setNumCaja(int numCaja) {
        this.numCaja = numCaja;
    }

    /**
     * @return the mArqueo
     */
    public List<Arqueo> getMArqueo() {
        return mArqueo;
    }

    /**
     * @param mArqueo the mArqueo to set
     */
    public void setMArqueo(List<Arqueo> mArqueo) {
        this.setMArqueo(mArqueo);
    }

    /**
     * @return the caja
     */
    public Caja getCaja() {
        return caja;
    }

    /**
     * @param caja the caja to set
     */
    public void setCaja(Caja caja) {
        this.caja = caja;
    }

    public void daArqueo(int tipo,boolean ok){
        Arqueo a=new Arqueo();
        //List<Arqueo> mArqueo2=new ArrayList<Arqueo>();
        a.setEmpleado(this);
        a.setImporte(this.caja.getSaldoFinal());
        a.setTipo(tipo);
        a.setOk(ok);
        this.mArqueo.add(a);
        //this.setMArqueo(mArqueo);
   }

}

